summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/run-check.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/scripts/run-check.sh b/scripts/run-check.sh
new file mode 100755
index 0000000..6301305
--- /dev/null
+++ b/scripts/run-check.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+set -e
+rm -f ../scratch/dump-check.img
+cp --reflink=always ../scratch/dump-{clearnodes,check}.img
+make -C ../btrfs-progs
+time ../btrfs-progs/btrfs check --progress --repair ../scratch/dump-check.img